// This code only runs on the server
Meteor.publish("sensor_data", function(controllerId) {
  return SensorData.find({
    controllerId: controllerId
  }, {
    sort: {
      created_at: -1
    },
    limit: 100
  });
});

// This code only runs on the server
Meteor.publish("controller_state", function(controllerId) {
  return ControllerState.find({
    controller_id: controllerId
  });
});

Meteor.publish("all_controller_states", function() {
  return ControllerState.find({});
});


// This code only runs on the server
Meteor.publish("pictures", function(controllerId) {
  return Picture.find({
    controller_id: controllerId
  });
});
